# BMW Coding Guides

Welcome to the BMW Coding Guides repository! This repository contains a collection of PDF guides designed to help you with various BMW coding tasks, from enabling features to customizing settings in your vehicle.

## Table of Contents

- [Introduction](#introduction)
- [Guides](#guides)
- [Tools](#tools)
- [License](#license)

## Introduction

This repository aims to provide comprehensive and easy-to-follow guides for coding and customizing BMW vehicles. Each guide is available as a PDF document that can be downloaded and used to enable, modify, or enhance different features of your BMW.

## Guides

The guides are organized in the `guides` directory. Each PDF file in this directory provides step-by-step instructions for a specific coding task or feature enhancement.

### Available Guides

- [Enabling the Bluetooth Music Option with Combox Module](guides/Enhanced_Bluetooth_Music.pdf)
- [Hacking NBTEVO ID6 car image](https://davidpetric.com/2024/06/21/nbt-evo-id6-hacking-the-car-image/)

### Tools
fat32format.txt - Application for formatting USB drives to FAT32.
copie_scr.sh - Script for pulling the 1b file out of CIC systems.

## License

This repository is licensed under the MIT License. See the [LICENSE](LICENSE) file for more information.
